Bug 488105 - Review Request: rubygem-htmlentities - A module for encoding and decoding (X)HTML entities
Review Request: rubygem-htmlentities - A module for encoding and decoding (X)...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orcan Ogetbil
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-02 13:06 EST by Mamoru TASAKA
Modified: 2009-03-06 02:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-06 02:27:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
oget.fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2009-03-02 13:06:05 EST
Spec URL: http://mtasaka.fedorapeople.org/Review_request/rubygem-htmlentities/rubygem-htmlentities.spec
SRPM URL: http://mtasaka.fedorapeople.org/Review_request/rubygem-htmlentities/rubygem-htmlentities-4.0.0-1.fc.src.rpm
koji scratch build:
- for dist-f11: http://koji.fedoraproject.org/koji/taskinfo?taskID=1213998
- for dist-f10: http://koji.fedoraproject.org/koji/taskinfo?taskID=1213999
Description: 
HTMLEntities is a simple library to facilitate encoding and 
decoding of named (ý and so on) or numerical ({ or Ī) 
entities in HTML and XHTML documents.
Comment 1 Orcan Ogetbil 2009-03-03 19:57:24 EST
This is a very simple ruby package. I went through it and didn't find any problems. But I have a few questions and two little suggestions:

? The other rubygem packages have BR: ruby(rubygems). This one has BR: rubygems. Why is there a difference? Does it matter? Also BR: ruby(abi) = %{rubyabi} will be pulled up by BR: rubygems. Do we really need to specify it specifically? I know the guidelines tell us to do so. But I don't know why.

! The ruby guidelines tell us to use %global instead of %define. While it doesn't matter much in this case, it would be good to obey the guidelines.

! It would look nicer and consistent if you make the description span evenly and use the full 80 columns.


Otherwise, the package is good to go:

-------------------------------------------------------
This package (rubygem-htmlentities) is APPROVED by oget
-------------------------------------------------------
Comment 2 Mamoru TASAKA 2009-03-04 05:07:31 EST
Thank you for a quick review!
(In reply to comment #1)

> ? The other rubygem packages have BR: ruby(rubygems). This one has BR:
> rubygems. Why is there a difference? Does it matter? 
- No deference, however I prefer to use ruby(rubygems) so I will
  switch to ruby(rubugems)

> Also BR: ruby(abi) =
> %{rubyabi} will be pulled up by BR: rubygems. Do we really need to specify it
> specifically? I know the guidelines tell us to do so.
- I usually add this abi dependency for BR explicitly to make it
  consistent with Requires of ruby abi dependency.

> ! The ruby guidelines tell us to use %global instead of %define. While it
> doesn't matter much in this case, it would be good to obey the guidelines.
- Will change.

-----------------------------------------------------
New Package CVS Request
=======================
Package Name:          rubygem-htmlentities
Short Description:     A module for encoding and decoding (X)HTML entities
Owners:                mtasaka
Branches:              F-10 F-9 
InitialCC:             (nobody)
Comment 3 Kevin Fenzi 2009-03-05 15:26:47 EST
cvs done.
Comment 4 Mamoru TASAKA 2009-03-06 02:27:44 EST
Rebuilt on all branches, submitted push requests for F-10/9, closing.
Thank you for your review and CVS procedure.

Note You need to log in before you can comment on or make changes to this bug.